#!/bin/bash

#  startAirMirror.sh
#  AirDroid
#
#  Created by sandstudio on 2015-10-20.
#  Copyright (c) 2015 sandstudio. All rights reserved.

adb=$1
globalPort=$2
localPort=$3
timestamp=$4
deviceid=$5
serial=$6

ret=`$adb -s $serial shell "ps | grep libvncServer.so" | awk '{print $2}'`
echo $ret
shouldSleep=false
for pid in $ret; do
	if [ $pid ]; then
		echo $pid
		$adb shell "su -c 'kill -9 $pid' || kill -9 $pid"
		shouldSleep=true
	fi
done

if [ $shouldSleep == true ]; then
	sleep 2
fi

$adb -s $serial shell "./data/data/com.sand.airdroid/lib/libvncServer.so -p $globalPort -l $localPort -n 1 -t $timestamp -d $deviceid -c s -e e"